DewaVPS

Get all instances

GET
/instance

Retrieve a paginated list of all your virtual machine instances.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Query Parameters

limit?integer

Limit response data

page?integer

Page number

search?string

Search by hostname

sort?string

Sort by created_at or cost

statuses?string

Filter by instance status (comma-separated)

Response Body

application/json

curl -X GET "https://api.dewavps.com/v1/instance"
{
  "message": "Virtual machines list",
  "data": {
    "data": [
      {
        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
        "hostname": "string",
        "ip_address": "string",
        "cpu": 0,
        "memory": "string",
        "storage": "string",
        "status": "string",
        "os": {
          "name": "string",
          "image": "string"
        },
        "location": "string",
        "tier": "string",
        "price_per_hour": 0,
        "estimated_monthly_cost": 0,
        "cost": 0,
        "operation_flag": 0,
        "created_at": "string"
      }
    ],
    "active_operation": 0,
    "page": {
      "total": 0,
      "count": 0,
      "per_page": 0,
      "current_page": 0,
      "total_pages": 0
    }
  }
}